POST groupmemberships

POST
/groupmemberships

Authorization

Bearer
headerAuthorizationBearer <token>

Paste your JWT token here

Request Body

The data transfer object containing the group membership information.

application/json
  1. body

Defines the DTO for posting a group membership, containing the necessary information for creating a new group membership, including member ID, group ID, membership year, and an optional role alias ID. The PostGroupMembershipDTO is used to transfer data from the client to the server when creating a new group membership, ensuring that all required information is provided and validated appropriately for the creation process.

memberId*string

The member associated with this membership.

Formatuuid
groupId*integer

The group associated with this membership.

Formatint32
membershipYear*integer

The year of the membership.

Formatint32
roleAliasId?|

The role of the member in this group membership.

Formatint32

Response Body

Created

application/json
  1. response

Represents a GroupMembership which links a Member to a Group. A GroupMembership has a unique identifier, references to the associated Member and Group, the year of the membership, and an optional role alias that defines the role of the member within the group. This entity is used to manage the relationships between members and groups within the system, allowing for better organization and access control based on group memberships and roles.

id?integer

The unique identifier of a group membership, assigned incrementally.

Formatint32
memberId?string

The member associated with this membership.

Formatuuid
member?

Represents a member of the organization. A member has various properties such as personal information, contact details, registration date, and relationships with other entities such as enrollments, group memberships, and announcements. This entity is used to manage and organize members within the system, allowing for better communication, access control, and personalized experiences based on member preferences and attributes.

groupId?integer

The group associated with this membership.

Formatint32
group?

Represents a Group within the organization. A Group can be a Committee, Working Group, or Dispute group. Each Group has a unique identifier, a name, an active status, and can have multiple members associated with it through GroupMemberships. The Group entity also includes properties for the type of group and default financial information such as GL account and cost center. This entity is used to manage and organize different groups within the system, allowing for better collaboration and communication among members.

membershipYear?integer

The year of the membership.

Formatint32
roleAliasId?|

The role of the member in this group membership.

Formatint32
roleAlias?

A role alias for a member in a committee. E.g.: "Fotofeut" or "Man van Geld".

curl -X POST 'https://example.com/groupmemberships' \  -H 'Content-Type: application/json' \  -d '{  "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",  "groupId": 0,  "membershipYear": 0}'
{  "id": 0,  "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",  "member": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "authSystemUserId": "21acf037-4cf7-4197-964d-bb28bd02794e",    "calendarId": "9869a533-1db4-43d9-aed3-3d63324120f5",    "activationEmailSentAt": "2019-08-24T14:15:22Z",    "studyStatusMailSentAt": "2019-08-24T14:15:22Z",    "outstandingPaymentMailSentAt": "2019-08-24T14:15:22Z",    "studentNumber": "string",    "firstName": "string",    "lastName": "string",    "email": "string",    "phoneNumber": "string",    "parentPhoneNumber": "string",    "street": "string",    "houseNumber": "string",    "postalCode": "string",    "city": "string",    "dateOfBirth": "2019-08-24T14:15:22Z",    "notes": "string",    "registeredOn": "2019-08-24T14:15:22Z",    "studyEnrollments": [      {        "id": 0,        "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",        "member": {},        "studyId": 0,        "study": {          "id": 0,          "title": "string",          "nominalDurationYears": 0,          "type": "Bachelor",          "active": true,          "enrollments": [            {}          ]        },        "enrollmentDate": "2019-08-24T14:15:22Z",        "completionDate": "2019-08-24T14:15:22Z",        "status": "Enrolled"      }    ],    "enrollments": [      {        "activityId": 0,        "activity": {          "id": 0,          "name": "string",          "price": 0.1,          "posterFileName": "string",          "posterPath": "string",          "dutchDescription": "string",          "englishDescription": "string",          "dateTimeStart": "2019-08-24T14:15:22Z",          "dateTimeEnd": "2019-08-24T14:15:22Z",          "unenrollmentDeadline": "2019-08-24T14:15:22Z",          "enrollmentDeadline": "2019-08-24T14:15:22Z",          "enrollOpenDate": "2019-08-24T14:15:22Z",          "location": "string",          "participantLimit": 0,          "organizerId": 0,          "organizer": {            "id": 0,            "name": "string",            "active": true,            "groupMemberships": [              {}            ],            "type": "Committee",            "defaultGLAccount": "string",            "defaultCostCenter": "string",            "defaultCostUnit": "string",            "groupPicturePath": "string",            "groupPictureFileName": "string"          },          "specificationQuestions": [            {              "id": 0,              "activityId": 0,              "questionDutch": "string",              "questionEnglish": "string",              "type": "String",              "isMandatory": true,              "isPublic": true,              "activity": {},              "answers": [                {                  "id": 0,                  "specificationQuestionId": 0,                  "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",                  "member": {},                  "answer": "string",                  "question": {},                  "enrollment": {}                }              ],              "options": "string",              "closeOnUnenrollmentDeadline": true            }          ],          "showInKoala": true,          "showOnWebsite": true,          "isEnrollable": true,          "areParticipantsVisible": true,          "isAdultOnly": true,          "isWeeklyDrinks": true,          "allowedAudience": "None",          "isOpenForPayment": true,          "vatRate": 0,          "enrollments": [            {}          ],          "glAccountId": "string",          "costCenterId": "string",          "costUnitId": "string",          "paymentDeadline": "2019-08-24T14:15:22Z"        },        "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",        "member": {},        "price": 0.1,        "specificationAnswers": [          {            "id": 0,            "specificationQuestionId": 0,            "memberId": "92983ab9-49c8-444b-85ae-6e40402cf72e",            "member": {},            "answer": "string",            "question": {              "id": 0,              "activityId": 0,              "questionDutch": "string",              "questionEnglish": "string",              "type": "String",              "isMandatory": true,              "isPublic": true,              "activity": {                "id": 0,                "name": "string",                "price": 0.1,                "posterFileName": "string",                "posterPath": "string",                "dutchDescription": "string",                "englishDescription": "string",                "dateTimeStart": "2019-08-24T14:15:22Z",                "dateTimeEnd": "2019-08-24T14:15:22Z",                "unenrollmentDeadline": "2019-08-24T14:15:22Z",                "enrollmentDeadline": "2019-08-24T14:15:22Z",                "enrollOpenDate": "2019-08-24T14:15:22Z",                "location": "string",                "participantLimit": 0,                "organizerId": 0,                "organizer": {                  "id": 0,                  "name": "string",                  "active": true,                  "groupMemberships": [                    {}                  ],                  "type": "Committee",                  "defaultGLAccount": "string",                  "defaultCostCenter": "string",                  "defaultCostUnit": "string",                  "groupPicturePath": "string",                  "groupPictureFileName": "string"                },                "specificationQuestions": [                  {}                ],                "showInKoala": true,                "showOnWebsite": true,                "isEnrollable": true,                "areParticipantsVisible": true,                "isAdultOnly": true,                "isWeeklyDrinks": true,                "allowedAudience": "None",                "isOpenForPayment": true,                "vatRate": 0,                "enrollments": [                  {}                ],                "glAccountId": "string",                "costCenterId": "string",                "costUnitId": "string",                "paymentDeadline": "2019-08-24T14:15:22Z"              },              "answers": [                {}              ],              "options": "string",              "closeOnUnenrollmentDeadline": true            },            "enrollment": {}          }        ],        "registeredOn": "2019-08-24T14:15:22Z",        "isOnWaitingList": true      }    ],    "groupMemberships": [      {}    ],    "preferredLanguage": "NL",    "gratie": true,    "lidVanVerdienste": true,    "ereLid": true,    "begunstiger": true,    "suspended": true,    "isDeleted": true,    "announcements": [      {        "id": 0,        "titleDutch": "string",        "titleEnglish": "string",        "contentDutch": "string",        "contentEnglish": "string",        "createdAt": "2019-08-24T14:15:22Z",        "createdById": "e13e432a-5323-4484-a91d-b5969bc564d9",        "createdBy": {}      }    ],    "profilePicturePath": "string",    "profilePictureFileName": "string"  },  "groupId": 0,  "group": {    "id": 0,    "name": "string",    "active": true,    "groupMemberships": [      {}    ],    "type": "Committee",    "defaultGLAccount": "string",    "defaultCostCenter": "string",    "defaultCostUnit": "string",    "groupPicturePath": "string",    "groupPictureFileName": "string"  },  "membershipYear": 0,  "roleAliasId": 0,  "roleAlias": {    "id": 0,    "roleId": 0,    "role": {      "id": 0,      "name": "string"    },    "name": "string"  }}